현재 환경은

Tomcat 7 + JDK 1.7 + Redis 2.8.17 이다.


참고사이트: https://github.com/jcoleman/tomcat-redis-session-manager

다운로드: https://github.com/jcoleman/tomcat-redis-session-manager/downloads


위에서 하라는 방법대로 하면 안된다.

내가 프로젝트를 구성할때 웬만하면 최신 라이브러리로 하는데 그랬더니 오류 만땅

1. 난 Tomcat 7 이기때문에 다운로드 항목중에 tomcat-redis-session-manager-1.2-tomcat-7.jar  받았다.

2. commons-pool-1.6.jar를 이용한다.

3. jedis 버전도 2.1.0.를 이용하자 (2.5.2 받았더니 안됨 ㅡㅡ;)

4. 나머지는 문서에 있는데로 해주면 된다.


PS. 2014.10.21 16:45 추가.

다운로드 된거랑 지금 현제 github에 올라와 있는거랑 다르다.

결국 github checkout 받아서 컴파일 해서 사용하면 된다.



저작자 표시 비영리 변경 금지
신고
posted by 뚱2